package net.cobem.grizzly.communication.events.guild;

import net.cobem.grizzly.Grizzly;
import net.cobem.grizzly.communication.EventRequest;
import net.cobem.grizzly.communication.GameEvent;
import net.cobem.grizzly.habbohotel.sessions.Session;
import net.cobem.grizzly.utils.UserInputFilter;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class FinishCreateGuildEvent implements GameEvent {
    @Override
    public void compose(Session Session, EventRequest Request) {
        List<Integer> States = new ArrayList<>();

        String Name = UserInputFilter.filterString(Request.readString(), false);
        String Descrption = UserInputFilter.filterString(Request.readString(), true);

        int Room = Request.readInt();
        int Color = Request.readInt();
        int SecondColor = Request.readInt();
        Request.readInt();
        int Base = Request.readInt();
        int BaseColor = Request.readInt();
        int Count = Request.readInt();

        for (int i = 0; i < (Count * 3); i++) {
            int Whatever = Request.readInt();
            States.add(Whatever);

            Grizzly.write(Whatever);
        }

        String Image = Grizzly.getHabboHotel().getGuilds().getImage(Base, Color, States);
        String HexCode = Grizzly.getHabboHotel().getGuilds().getHEX(Color);
        String SecondHex = Grizzly.getHabboHotel().getGuilds().getHEX(SecondColor);
        String CreationDate = String.valueOf(new Date().getTime());
    }
}
